Redmine - Defect #11131

repository View and Annotate code Utf-8 show ??? ,diff is right
2012-06-11 08:29 - gehao liu

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 2.01
Description

git encode is UTF-8.
“git show " is right.

Repository

SCM [ Git -
Main repository
Identifier pyilage
Path to repository * japlib/gitolite/repositories/proj/privilege..git
Repository is bare and local (e.q. /aitrepo, c:\gitrepao)

Path encoding | |TFg5 =l

Default: UTF-8

Report last commit for [~
files and directories

~ [ S|

Revision 92ce3b9c:dc738259 main.php
View differences | side by side j

b/main.php

<IDOCTYFE html FUBLIC “-//W3C//DTD ¥HIML 1.0 Transitional//EN" “http:/fwew. w3, org/TE xhtm11/DTD xhtm11-
transitional. dtd">

<himl xmlns="http:/ www. w3, or g/ 1999 xhtml ">

<head>

“meta http-equiv="Content-Type” content="text/html; charset=ghZ312" />
ChitledPTPITREITA titlel

[T -

privilege / main.php @ master
History | View | Annotate | Download (769 Bytes) | * Add review

LIDOCTYFE himl FUELIC “-//W3C/,/DTD XHTML 1.0 Transitional/fEF" “h-
<html xmlnz="http: fwww w3 orz 1999 xhiml " >

‘head>

“meta http-equiv="Content-Type” content="text/html; charzet=utf-&
{style type="text/css">

body{
font-size: 12px;
<IDOCTYPE html PUBLIC “-//W3C//ITD XHIML 1.0 Tramsitional//EN" “http
transitional. dtd">

<html xmlns="http:/ www. w3 or /1999 xhtml ">

<head>

“meta http-equiv="Content-Type” content="text/html; charset=utf-8" [
SitleMEEEERGCtitle

“style type="text/ess"r
privilege / main.php @ master

History | View | Annotate | Download (769 Bytes) | * Add review

92ce3boc
92ce3boc
92ce3boc
dc738259
dc738259
92ce3b9c
92ce3boc
dc738259
92ce3boc
liuyou
liuyou
liuyou
songyongshang
songyongshang
liuyou
liuyou
songyongshang
liuyou

<IDOCTYPE html PUBLIC “-//W3C//DTD XHTML 1.0
<html xmlnz="http:/fwww. w3, orz/ 1999 xhiml ™ >
head>

“meta http-equiv="Content-Type” content="tex

“style type="text/css">
body{
fant: "7

font-=size: 12px;

Related issues:

Is duplicate of Redmine - Defect #11089: UTF-8 encoding not showing correctly...

Closed

History

#1 - 2012-06-11 09:37 - Toshi MARUYAMA

- File encode-setting.png added

- Status changed from New to Closed

- Resolution set to Invalid

You can use "Attachments and repositories encodings" at setting panel.

Settings

General | Display

Authentication

Projects ssue tracking | | Email notifications ncoming el

Application title |pedmine

Welcome text Bl 7||ulls]lc

il
il
=z
m

" E

Maximum attachment size |5120 kB

Objects per page options |25‘5g‘100

Multiple values allowed (comma separated)

Days displayed on project activity Igg days

Host name and path |jgcalhost:3000

Example: 192.168.11.7:3000

Protocol | HTTP «

Text formatting

Cache formatted text _J

Wiki history compression

Maximum number of items in Atom feeds I15

Maximum size of text files displayed inline |512 kB

Maximum number of diff lines displayed I15gg

Attachments and repositories encodings |UTF-8ng2312

#2 - 2012-06-11 09:57 - gehao liu

2025-05-02

Multiple values allowed (comma separated)
my file encode is UTF-8(no BOM), it's not gb2312,why change it to gb2312?
"Attachments and repositories encodings" is "UTF-8,UTF-8"

DATABASE :postgresql9.1.3 UTF-8

OS is rhel5.7, LANG=zh_CN.UTF-8

respository >-diff—isright
respesitery> view and respository-> Annotate , Chinese changed '??', it is wrong

#3 - 2012-06-11 09:59 - gehao liu

- Status changed from Closed to Reopened

#4 - 2012-06-11 10:04 - Toshi MARUYAMA
- Status changed from Reopened to Closed

- Resolution changed from Invalid to Duplicate

Duplicate with #11089.
And | cannot reproduce.

#5 - 2012-06-11 11:04 - gehao liu

- Status changed from Closed to Reopened

txt extname is OK,
python extname .py is OK.
php exthame is wrong,

#6 - 2012-06-11 11:15 - gehao liu
- File def.php added

- File def.py added

- File def.ixt added

simple file
UTF-8(no BOM)
php is wrong,others OK.

#7 - 2012-06-11 11:23 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Do not re-open and post messages to closed issues.

Files

20120611141936.png 12.6 KB 2012-06-11 gehao liu
20120611142039.png 13.3 KB 2012-06-11 gehao liu
20120611142100.png 10.1 KB 2012-06-11 gehao liu
20120611142112.png 17 KB 2012-06-11 gehao liu
encode-setting.png 52.2 KB 2012-06-11 Toshi MARUYAMA
def.php 31 Bytes 2012-06-11 gehao liu
def.py 38 Bytes 2012-06-11 gehao liu
def.txt 31 Bytes 2012-06-11 gehao liu
https://www.redmine.org/issues/11089
http://www.tcpdf.org

